Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
To update or not to update to gentoo-sources-3.5.7
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
yzg
Apprentice
Apprentice


Joined: 18 Jun 2005
Posts: 205

PostPosted: Tue Oct 30, 2012 9:09 am    Post subject: To update or not to update to gentoo-sources-3.5.7 Reply with quote

gentoo-sources-3.5.7 came with the comment "Put back stable keywords. Ext4 corruption not widespread."

and from lwn.net:
Quote:

ext4 users would be well advised to avoid versions 3.4.14, 3.4.15, 3.5.7, 3.6.2, and 3.6.3; they all contain a patch which can, in some situations, cause filesystem corruption.


Corruption of a filesystem is a serious problem even if it is not widespread. So why not wait until 2.6.4

What do you think?
Back to top
View user's profile Send private message
steveL
Advocate
Advocate


Joined: 13 Sep 2006
Posts: 2919
Location: The Peanut Gallery

PostPosted: Tue Oct 30, 2012 9:23 am    Post subject: Reply with quote

I'd say wait.
Back to top
View user's profile Send private message
salahx
Guru
Guru


Joined: 12 Mar 2005
Posts: 420

PostPosted: Tue Oct 30, 2012 12:10 pm    Post subject: Reply with quote

The ext4 corruption only appears with a combination of unlikely mount options ("nobarrier" and "journal_checksum"; note that "journal_async_commit" implies journal_checksum so I wouldn't worry about it.
Back to top
View user's profile Send private message
khayyam
Advocate
Advocate


Joined: 07 Jun 2012
Posts: 2247

PostPosted: Tue Oct 30, 2012 4:21 pm    Post subject: Re: To update or not to update to gentoo-sources-3.5.7 Reply with quote

yzg wrote:
and from lwn.net:
Quote:
ext4 users would be well advised to avoid versions 3.4.14, 3.4.15, 3.5.7, 3.6.2, and 3.6.3; they all contain a patch which can, in some situations, cause filesystem corruption.

What do you think?

... readers would be well advised to avoid taking advice from LWN, partularly when that "advice" is formed without having the facts at their disposal. So, to avoid the kitten being killed you should be sure to keep informed about the many kittens needlessly killed each year on the LKML ... you wouldn't want the kittens to be harmed would you?

best ... khay
Back to top
View user's profile Send private message
PaulBredbury
Watchman
Watchman


Joined: 14 Jul 2005
Posts: 7310

PostPosted: Tue Oct 30, 2012 4:26 pm    Post subject: Re: To update or not to update to gentoo-sources-3.5.7 Reply with quote

yzg wrote:
filesystem corruption

Which has happened to a grand total of... one person with an unsafe setup :roll:
Back to top
View user's profile Send private message
yzg
Apprentice
Apprentice


Joined: 18 Jun 2005
Posts: 205

PostPosted: Thu Nov 01, 2012 9:06 am    Post subject: Reply with quote

What about a script to tell you if it is safe to update.

Code:

#!/bin/bash

for i in $(mount | grep ext4 | cut -d ' ' -f1);
do
   if tune2fs -l $i | grep 'Filesystem features' | egrep -w 'nobarrier | journal_checksum | journal_async_commit';
   then
      echo "DO NOT UPDATE TO KERNEL <2.6.4";
      exit -1;
   fi;
done;

echo "IT IS SAFE TO UPDATE TO KERNEL <2.6.4";
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum